#!/usr/bin/env python
# -*- coding: iso-8859-1 -*-
"""
    MoinMoin - CGI Driver Script

    @copyright: 2000-2005 by Jürgen Hermann <jh@web.de>
    @license: GNU GPL, see COPYING for details.
"""

# System path configuration

import sys
import os

# Assume that moin is installed at PREFIX
PREFIX = os.path.abspath('../')

# Add the path to MoinMoin and the path to wikiconfig.py to the search path.
sys.path = [os.path.join(PREFIX, 'lib/python2.3/site-packages'),
			os.path.abspath('.')] + sys.path

# Debug mode - show detailed error reports
## import os
## os.environ['MOIN_DEBUG'] = '1'

# This is used to profile MoinMoin (default disabled)
hotshotProfiler = 0

# ---------------------------------------------------------------------

if hotshotProfiler:
    import hotshot
    prof = hotshot.Profile("moin.prof")
    prof.start()

from MoinMoin.request import RequestCGI
request = RequestCGI()
request.run()

if hotshotProfiler:
    prof.close()
