from MoinMoin.util.header import Header


class SectionHeader(Header):
    
    def set_class(self, value):
        try:
            self._headers['class'].append(value)
        except KeyError:
            self._headers['class'] = [value]


class Parser:

    def __init__(self, text, request, **keywords):
        self.request = request
        self.header = SectionHeader(request, text)
        self.text = text[self.header.length():]

    def format(self, formatter):
        from MoinMoin.parser import wiki
        parser = wiki.Parser(self.text, self.request)
        self.request.write('<div class="section">\n')     
        parser.format(formatter)        
        self.request.write('</div>\n')
